Subject: Re: [bug#70971] [PATCH v2 1/3] gnu: dhewm3: Use git repository.

From: James Smith <[email-masked]>
Date: Tue, 11 Jun 2024 05:45:19 -0700

Christopher Baines <[email-masked]> writes:

> James Smith via Guix-patches via <[email-masked]> writes:
>
>> * gnu/packages/game-development.scm (dhewm3) [source]: Use git repository
>> instead of downloading a tarball from GitHub.
>>
>> Change-Id: I81ff5de0687221d7eec64b0165dbf10c2d041260
>> ---
>>  gnu/packages/game-development.scm | 12 ++++++------
>>  1 file changed, 6 insertions(+), 6 deletions(-)
>
> I'm missing why you're making this change? I don't see anything wrong
> with using these upstream release tarballs.

I noticed that the package was using a tarball from GitHub and assumed
that it was one that was autogenerated. Upon closer inspection, I see
that it's a manually pack tarball instead. I can send a new set of
patches that excludes switching to the git repository if needed.